Jack::JackMidiSendQueue Class Reference

`#include <JackMidiSendQueue.h>`

Inheritance diagram for Jack::JackMidiSendQueue:

## Public Member Functions

virtual jack_nframes_t | GetNextScheduleFrame ()
Public Member Functions inherited from Jack::JackMidiWriteQueue
virtual EnqueueResult | EnqueueEvent (jack_nframes_t time, size_t size, jack_midi_data_t *buffer)=0
EnqueueResult | EnqueueEvent (jack_midi_event_t *event, jack_nframes_t frame_offset=0)

## Additional Inherited Members

Public Types inherited from Jack::JackMidiWriteQueue
enum | EnqueueResult { BUFFER_FULL, BUFFER_TOO_SMALL, EVENT_EARLY, EN_ERROR, OK }

## Detailed Description

Implemented by MIDI output connections.

Definition at line 31 of file JackMidiSendQueue.h.

## Member Function Documentation

jack_nframes_t JackMidiSendQueue::GetNextScheduleFrame | ( |  | ) |

virtual

Returns the next frame that a MIDI message can be sent at. The default method returns the current frame.

Reimplemented in Jack::JackFFADOMidiSendQueue.

Definition at line 31 of file JackMidiSendQueue.cpp.

The documentation for this class was generated from the following files:

- JackMidiSendQueue.h
- JackMidiSendQueue.cpp